## galapi
Class AttributeList

    java.lang.Object
      galapi.ItemList
          galapi.AttributeList

public class AttributeList
extends ItemList

Field Summary

Fields inherited from class galapi.ItemList
`ilist`

Constructor Summary
`` `AttributeList()`
`protected` `AttributeList(int il)`

Method Summary
`static AttributeList` `cons(Attribute a, AttributeList cdr)`

Methods inherited from class galapi.ItemList
`cons, finalize, getNativeItemList, isEmpty, ItemsFirst, ItemsNext, nativeCons, nativeEmptyList, nativeFreeItemList, nativeIsEmpty, nativeItemsFirst, nativeItemsNext, nativeSerialize, setItemList, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeList

    public AttributeList()
                  throws GalapiException

### AttributeList

    protected AttributeList(int il)

Method Detail

### cons

    public static AttributeList cons(Attribute a,
                                     AttributeList cdr)
                              throws GalapiException

  Throws:
    `GalapiException`